com.hammurapi.common.concurrent

## Class LoggerWrapper

- java.lang.Object
- - com.hammurapi.common.concurrent.LoggerWrapper

- All Implemented Interfaces:
    Logger

      public class LoggerWrapper
      extends Object
      implements Logger

  A wrapper for java.util.logging.Logger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerWrapper(Logger juLogger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fine(String msg)`
    `void` | `finer(String msg)`
    `void` | `finest(String msg)`
    `Logger` | `getLogger(String name)` Returns a sub-logger of a given logger.
    `void` | `info(String msg)`
    `boolean` | `isLoggable(Level level)`
    `void` | `log(Level level, String msg)`
    `void` | `log(Level level, String msg, Object param1)`
    `void` | `log(Level level, String msg, Object[] params)`
    `void` | `log(Level level, String msg, Throwable thrown)`
    `void` | `log(LogRecord record)`
    `void` | `severe(String msg)`
    `void` | `warning(String msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggerWrapper

          public LoggerWrapper(Logger juLogger)

  - ### Method Detail

    - #### log

          public void log(LogRecord record)

      Specified by:
        `log` in interface `Logger`

    - #### log

          public void log(Level level,
                 String msg)

      Specified by:
        `log` in interface `Logger`

    - #### log

          public void log(Level level,
                 String msg,
                 Object param1)

      Specified by:
        `log` in interface `Logger`

    - #### log

          public void log(Level level,
                 String msg,
                 Object[] params)

      Specified by:
        `log` in interface `Logger`

    - #### log

          public void log(Level level,
                 String msg,
                 Throwable thrown)

      Specified by:
        `log` in interface `Logger`

    - #### severe

          public void severe(String msg)

      Specified by:
        `severe` in interface `Logger`

    - #### warning

          public void warning(String msg)

      Specified by:
        `warning` in interface `Logger`

    - #### fine

          public void fine(String msg)

      Specified by:
        `fine` in interface `Logger`

    - #### finer

          public void finer(String msg)

      Specified by:
        `finer` in interface `Logger`

    - #### finest

          public void finest(String msg)

      Specified by:
        `finest` in interface `Logger`

    - #### isLoggable

          public boolean isLoggable(Level level)

      Specified by:
        `isLoggable` in interface `Logger`

    - #### info

          public void info(String msg)

      Specified by:
        `info` in interface `Logger`

    - #### getLogger

          public Logger getLogger(String name)

      Description copied from interface: `Logger`
      Returns a sub-logger of a given logger.
      Specified by:
        `getLogger` in interface `Logger`
      Parameters:
        `name` - Sub-logger name.
      Returns: